Subject: [PATCH 20/29] ARM: orion5x: convert edmini_v2 to DT pinctrl

From: [email-masked] (Sebastian Hesselbarth)
Date: Mon, 14 Apr 2014 13:27:41 +0200

On 04/14/2014 01:23 PM, Thomas Petazzoni wrote:
> Dear Sebastian Hesselbarth,
>
> On Mon, 14 Apr 2014 12:51:24 +0200, Sebastian Hesselbarth wrote:
>
>>>    		internal-regs {
>>> +			pinctrl at 10000 {
>>
>> Use node label reference:
>>
>> &pinctrl {
>> 	...
>> };
>
> I personally dislike using node label references. I know they are used
> for Ethernet because it has been done by someone else for Orion
> platforms. But on all Armada 370/XP platforms, we don't use node label
> references, and I'd prefer to do it the same way for Orion5x platforms
> if possible.

Well, I definitely disagree and would like to _enforce_ using node
label references. Anyway, if there is a strong reason for not using
them, I'd be fine too.

Sebastian